package mos.moduyun.com.sdk;

import com.google.gson.Gson;
import mos.moduyun.com.sdk.yun.*;


import java.io.File;
import java.util.HashMap;
import java.util.Map;

//简单上传文件
public class UploadFile {

    public static void main(String[] args) {
        //必选参数
        String accesskey=""; //accesskey
        String secretkey=""; //secretkey
        String region=""; //地域Id
        String bucketName="";//对象存储的名称
        String fileName="";//文件的全路径 如:zhangsan/info.txt
        File file=new File("");//上传的文件流,普通上传的文件,最大不能超个60M

        //可选参数
        Map<String,String> parameter=new HashMap<>();
        String callbackUrl="";//回调地址(可选)
        String callbackParameter="";//自定义回调参(最大长度100)
        parameter.put("callbackUrl",callbackUrl);
        parameter.put("callbackParameter",callbackParameter);
        String storageClass="";//文件的存储类型 Standard:标准  IA:低频率 Archive:归档存储  ColdArchive:冷归档存储 (可选)
        String jurisdiction=""; //文件的权限 私有:private  公共读:public-read  公共读写:public-read-write,默认是继承bucketName (可选)
        String sseAlgorithm=""; // 加密方式  AES256  SM4 (可选)
        Map<String,String> metaData=new HashMap<>(); //自定义元数据 (可选)
       // metaData.put("x-mos-meta-xxx","xxx");  //必须(x-oss-meta-) 开头,否则无效 (可选)
        parameter.put("storageClass",storageClass);
        parameter.put("jurisdiction",jurisdiction);
        parameter.put("sseAlgorithm",sseAlgorithm);
        parameter.put("metaData",new Gson().toJson(metaData));
        Client uploadClient=new Client(accesskey,secretkey);
        String msg = uploadClient.uploadFile(file, region, bucketName, fileName, parameter);
        System.out.println(msg);
    }
}
