package mos.moduyun.com.sdk;



import mos.moduyun.com.sdk.yun.*;
import java.io.File;
import java.util.HashMap;
import java.util.Map;

//分片上传文件
public class UploadSplitFile {

    public static void main(String[] args) {
        //必选参数
        String accesskey=""; //accesskey
        String secretkey=""; //secretkey
        String region=""; //地域Id
        String bucketName="";//对象存储的名称
        String fileName="";//文件的全路径 如:zhangsan/info.txt
        File file=new File("");//上传的文件流,普通上传的文件,最大不能超个60M

        //可选参数
        Map<String,String> parameter=new HashMap<>();
        String callbackUrl="";//回调地址(可选)
        String callbackParameter="";//自定义回调参(最大长度100)
        parameter.put("callbackUrl",callbackUrl);
        parameter.put("callbackParameter",callbackParameter);

        String doLoadName="";//下载时的名称 (可选)
        String code=""; //下载时的内容编码 (可选)
        String expires=""; //过期时间,单位为毫秒 (可选)
        String sseAlgorithm=""; ///加密方式 AES256  SM4 (可选)
        String storageClass="";///存储类型 Standard:标准  IA:低频率 Archive:归档存储  ColdArchive:冷归档存储 (可选)
        String jurisdiction=""; //存储空间的权限 私有:private  公共读:public-read  公共读写:public-read-write,默认是私有 (可选)


        parameter.put("doLoadName",doLoadName);
        parameter.put("code",code);
        parameter.put("expires",expires);
        parameter.put("storageClass",storageClass);
        parameter.put("jurisdiction",jurisdiction);
        parameter.put("sseAlgorithm",sseAlgorithm);
        Client uploadClient=new Client(accesskey,secretkey);
        String msg = uploadClient.uploadFile(file, region, bucketName, fileName, parameter);
        System.out.println(msg);
    }

}
