package mos.moduyun.com.sdk.controller;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 上传文件等回调地址
 */
@RestController
@RequestMapping("/bucket")
public class UploadFileCallbackController {
    /**
     * @param region 地域ID
     * @param bucketName MOS实例名称
     * @param fileName 文件路径
     * @param callbackId 回调id
     * @param callbackState 文件上传的状态
     * @param callbackMsg 文件上传错误信息
     * @param fileUrl 文件访问路径
     * @param fileSize 文件大小
     * @param versionId 文件版本号
     * @return
     */
    @RequestMapping("/uploadFileCallback")
    public String uploadFileCallback(String region,String bucketName,String fileName,String callbackId,String callbackState,String callbackMsg,String fileUrl,
                                     String fileSize,String versionId,String callbackParameter){
        System.out.println(region);
        System.out.println(bucketName);
        System.out.println(fileName);
        System.out.println(callbackId);
        System.out.println(callbackState);
        System.out.println(callbackMsg);
        System.out.println(fileUrl);
        System.out.println(fileSize);
        System.out.println(versionId);
        System.out.println(callbackParameter);
        return callbackId;
    }

}
